Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Class LayoutDefinition

    java.lang.Object
      com.bea.netuix.application.definition.LayoutDefinition

All Implemented Interfaces:
  Serializable

public class LayoutDefinition
extends Object
implements Serializable

This class represents a persistant layout.

See Also:
  Serialized Form

Constructor Summary
`LayoutDefinition(LocalizationResource localizationResource, MarkupDefinitionId markupDefinitionId, PlaceholderDefinition[] placeholderDefinitions, String iconUri, String htmlLayoutUri, String webAppName, String layoutFile, boolean deleted)` Constructs a new `LayoutDefinition` object.

Method Summary
`String` | `getHtmlLayoutUri()` Getter for property htmlLayoutUri.
`String` | `getIconUri()` Getter for property iconUri.
`LayoutDefinitionId` | `getLayoutDefinitionId()` Returns the `LayoutDefinitionId` for this layout.
`String` | `getLayoutFile()` Returns the path to the layout file.
`LocalizationResource` | `getLocalizationResource()` Returns the `LocalizationResource` associated with this layout based on the locale of the request used for retrieving the layout.
`MarkupDefinitionId` | `getMarkupDefinitionId()` Returns the `MarkupDefinitionId` for the `MarkupDefinition` associated with this layout.
`PlaceholderDefinition` | `getPlaceholderDefinition(PlaceholderDefinitionId placeholderDefinitionId)` Returns a `PlaceholderDefinition` defined by this layout given the `PlaceholderDefinitionId` for the placeholder.
`PlaceholderDefinition[]` | `getPlaceholderDefinitions()` Returns the `PlaceholderDefinition`s defined by this layout.
`String` | `getWebAppName()` Returns the web application name this layout is scoped to.
`boolean` | `isDeleted()` Returns whether this layout has been deleted.
`void` | `setDeleted(boolean deleted)` Sets whether this layout has been deleted
`void` | `setHtmlLayoutUri(String htmlLayoutUri)` Setter for property htmlLayoutUri.
`void` | `setIconUri(String iconUri)` Setter for property iconUri.
`void` | `setLayoutFile(String layoutFile)` Sets the layout file path for this layout.
`void` | `setLocalizationResource(LocalizationResource localizationResource)` Sets the `LocalizationResource` for this layout.
`void` | `setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)` Sets the `MarkupDefinitionId` for this layout.
`void` | `setPlaceholderDefinitions(PlaceholderDefinition[] placeholderDefinitions)` Sets placeholer on this layout
`void` | `setWebAppName(String webAppName)` Scopes this layout to given web applcation.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LayoutDefinition

    public LayoutDefinition(LocalizationResource localizationResource,
                            MarkupDefinitionId markupDefinitionId,
                            PlaceholderDefinition[] placeholderDefinitions,
                            String iconUri,
                            String htmlLayoutUri,
                            String webAppName,
                            String layoutFile,
                            boolean deleted)

  Constructs a new `LayoutDefinition` object.

Method Detail

### getHtmlLayoutUri

    public String getHtmlLayoutUri()

  Getter for property htmlLayoutUri.

  Returns:
    Value of property htmlLayoutUri.

### getIconUri

    public String getIconUri()

  Getter for property iconUri.

  Returns:
    Value of property iconUri.

### getLayoutDefinitionId

    public LayoutDefinitionId getLayoutDefinitionId()

  Returns the `LayoutDefinitionId` for this layout. Returns `NULL` if this layout has not been retrieved using the persistence API.

  Returns:
    `LayoutDefinitionId`

### getLayoutFile

    public String getLayoutFile()

  Returns the path to the layout file. This path is relative to the web application context.

  Returns:
    layout file path

### getLocalizationResource

    public LocalizationResource getLocalizationResource()

  Returns the `LocalizationResource` associated with this layout based on the locale of the request used for retrieving the layout.

  Returns:
    `LocalizationResource` associated with this layout

### getMarkupDefinitionId

    public MarkupDefinitionId getMarkupDefinitionId()

  Returns the `MarkupDefinitionId` for the `MarkupDefinition` associated with this layout.

  Returns:
    `MarkupDefinitionId`
  See Also:
    `MarkupDefinition`

### getPlaceholderDefinition

    public PlaceholderDefinition getPlaceholderDefinition(PlaceholderDefinitionId placeholderDefinitionId)

  Returns a `PlaceholderDefinition` defined by this layout given the `PlaceholderDefinitionId` for the placeholder. Returns `NULL` if this layout defines no placeholders or the placeholder with given `PlaceholderDefinitionId` does not exist in this layout.

  Parameters:
    `placeholderDefinitionId` - `PlaceholderDefinitionId` of placeholder to be retrieved
  Returns:
    `PlaceholderDefinitionId`

### getPlaceholderDefinitions

    public PlaceholderDefinition[] getPlaceholderDefinitions()

  Returns the `PlaceholderDefinition`s defined by this layout.

  Returns:
    `PlaceholderDefinition`s

### getWebAppName

    public String getWebAppName()

  Returns the web application name this layout is scoped to.

  Returns:
    web application name

### isDeleted

    public boolean isDeleted()

  Returns whether this layout has been deleted.

  Returns:
    true means this layout has been deleted

### setDeleted

    public void setDeleted(boolean deleted)

  Sets whether this layout has been deleted

  Parameters:
    `deleted` -

### setHtmlLayoutUri

    public void setHtmlLayoutUri(String htmlLayoutUri)

  Setter for property htmlLayoutUri.

  Parameters:
    `htmlLayoutUri` - New value of property htmlLayoutUri.

### setIconUri

    public void setIconUri(String iconUri)

  Setter for property iconUri.

  Parameters:
    `iconUri` - New value of property iconUri.

### setLayoutFile

    public void setLayoutFile(String layoutFile)

  Sets the layout file path for this layout.

  Parameters:
    `layoutFile` -

### setLocalizationResource

    public void setLocalizationResource(LocalizationResource localizationResource)

  Sets the `LocalizationResource` for this layout.

  Parameters:
    `localizationResource` -

### setMarkupDefinitionId

    public void setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)

  Sets the `MarkupDefinitionId` for this layout.

  Parameters:
    `markupDefinitionId` -

### setPlaceholderDefinitions

    public void setPlaceholderDefinitions(PlaceholderDefinition[] placeholderDefinitions)

  Sets placeholer on this layout

  Parameters:
    `placeholderDefinitions` - `PlaceholderDefinition`s to be set on this layout

### setWebAppName

    public void setWebAppName(String webAppName)

  Scopes this layout to given web applcation.

  Parameters:
    `webAppName` -

### toString

    public String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved